# Description

## This is NOT a mod, this is just my "Medium" preset for the CustomGraphicSettings mod by aedenthorn.

# Details
```
## Settings file was created by plugin Custom Graphics Settings v0.7.0
## Plugin GUID: aedenthorn.CustomGraphicsSettings

[General]

## Enable this mod
# Setting type: Boolean
# Default value: true
Enabled = true

## Nexus mod ID for updates
# Setting type: Int32
# Default value: 169
NexusID = 169

[Options]

## Hotkey to reload settings from config
# Setting type: String
# Default value: 
Hotkey = 

## Reload graphics settings when config values are changed
# Setting type: Boolean
# Default value: true
ReloadOnChange = true

[QualitySettings]

## Global anisotropic filtering mode.
# Setting type: AnisotropicFiltering
# Default value: ForceEnable
# Acceptable values: Disable, Enable, ForceEnable
anisotropicFiltering = Disable

## Set The AA Filtering option.
# Setting type: Int32
# Default value: 0
antiAliasing = 0

## Asynchronous texture and mesh data upload provides timesliced async texture and mesh data upload on the render thread with tight control over memory and timeslicing. There are no allocations except for the ones which driver has to do. To read data and upload texture and mesh data, Unity re-uses a ringbuffer whose size can be controlled.Use asyncUploadBufferSize to set the buffer size for asynchronous texture and mesh data uploads. The size is in megabytes. The minimum value is 2 and the maximum value is 512. The buffer resizes automatically to fit the largest texture currently loading. To avoid re-sizing of the buffer, which can incur performance cost, set the value approximately to the size of biggest texture used in the Scene.
# Setting type: Int32
# Default value: 4
asyncUploadBufferSize = 4

## This flag controls if the async upload pipeline's ring buffer remains allocated when there are no active loading operations. Set this to true, to make the ring buffer allocation persist after all upload operations have completed. If you have issues with excessive memory usage, you can set this to false. This means you reduce the runtime memory footprint, but memory fragmentation can occur. The default value is true.
# Setting type: Boolean
# Default value: true
asyncUploadPersistentBuffer = false

## Async texture upload provides timesliced async texture upload on the render thread with tight control over memory and timeslicing. There are no allocations except for the ones which driver has to do. To read data and upload texture data a ringbuffer whose size can be controlled is re-used.Use asyncUploadTimeSlice to set the time-slice in milliseconds for asynchronous texture uploads per frame. Minimum value is 1 and maximum is 33.
# Setting type: Int32
# Default value: 2
asyncUploadTimeSlice = 2

## If enabled, billboards will face towards camera position rather than camera orientation.
# Setting type: Boolean
# Default value: true
billboardsFaceCameraPosition = true

## Global multiplier for the LOD's switching distance.
# Setting type: Int32
# Default value: 2
lodBias = 2

## A texture size limit applied to all textures.
# Setting type: Int32
# Default value: 0
masterTextureLimit = 0

## A maximum LOD level. All LOD groups.
# Setting type: Int32
# Default value: 0
maximumLODLevel = 0

## Maximum number of frames queued up by graphics driver.
# Setting type: Int32
# Default value: 2
maxQueuedFrames = 4

## Budget for how many ray casts can be performed per frame for approximate collision testing.
# Setting type: Int32
# Default value: 4096
particleRaycastBudget = 2048

## The maximum number of pixel lights that should affect any object.
# Setting type: Int32
# Default value: 8
pixelLightCount = 4

## Enables realtime reflection probes.
# Setting type: Boolean
# Default value: true
realtimeReflectionProbes = false

## In resolution scaling mode, this factor is used to multiply with the target Fixed DPI specified to get the actual Fixed DPI to use for this quality setting.
# Setting type: Int32
# Default value: 1
resolutionScalingFixedDPIFactor = 1

## The normalized cascade distribution for a 2 cascade setup. The value defines the position of the cascade with respect to Zero.
# Setting type: Single
# Default value: 0.3333333
shadowCascade2Split = 0.3333333

## The normalized cascade start position for a 4 cascade setup. Each member of the vector defines the normalized position of the coresponding cascade with respect to Zero.
# Setting type: Vector3
# Default value: {"x":0.10000000149011612,"y":0.20000000298023225,"z":0.5}
shadowCascade4Split = {"x":0.10000000149011612,"y":0.20000000298023225,"z":0.5}

## Number of cascades to use for directional light shadows.
# Setting type: Int32
# Default value: 4
shadowCascades = 2

## Shadow drawing distance.
# Setting type: Int32
# Default value: 150
shadowDistance = 150

## The rendering mode of Shadowmask.
# Setting type: ShadowmaskMode
# Default value: Shadowmask
# Acceptable values: Shadowmask, DistanceShadowmask
shadowmaskMode = Shadowmask

## Offset shadow frustum near plane.
# Setting type: Int32
# Default value: 3
shadowNearPlaneOffset = 3

## Directional light shadow projection.
# Setting type: ShadowProjection
# Default value: StableFit
# Acceptable values: CloseFit, StableFit
shadowProjection = CloseFit

## The default resolution of the shadow maps.
# Setting type: ShadowResolution
# Default value: Medium
# Acceptable values: Low, Medium, High, VeryHigh
shadowResolution = Low

## Realtime Shadows type to be used.
# Setting type: ShadowQuality
# Default value: HardOnly
# Acceptable values: Disable, HardOnly, All
shadows = HardOnly

## The maximum number of bone weights that can affect a vertex, for all skinned meshes in the project.
# Setting type: SkinWeights
# Default value: TwoBones
# Acceptable values: OneBone, TwoBones, FourBones, Unlimited
skinWeights = TwoBones

## Should soft blending be used for particles?
# Setting type: Boolean
# Default value: true
softParticles = true

## Use a two-pass shader for the vegetation in the terrain engine.
# Setting type: Boolean
# Default value: true
softVegetation = false

## Enable automatic streaming of texture mipmap levels based on their distance from all active cameras.
# Setting type: Boolean
# Default value: true
streamingMipmapsActive = true

## Process all enabled Cameras for texture streaming (rather than just those with StreamingController components).
# Setting type: Boolean
# Default value: true
streamingMipmapsAddAllCameras = true

## The maximum number of active texture file IO requests from the texture streaming system.
# Setting type: Int32
# Default value: 1024
streamingMipmapsMaxFileIORequests = 1024

## The maximum number of mipmap levels to discard for each texture.
# Setting type: Int32
# Default value: 2
streamingMipmapsMaxLevelReduction = 2

## The total amount of memory to be used by streaming and non-streaming textures.
# Setting type: Int32
# Default value: 512
streamingMipmapsMemoryBudget = 2048

## The VSync Count.
# Setting type: Int32
# Default value: 1
vSyncCount = 0
```